Bug 107812 - Workflow alerts spam users regardless of whether they have permission on the item
Workflow alerts spam users regardless of whether they have permission on the ...
Product: Red Hat Enterprise CMS
Classification: Retired
Component: other (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Scott Seago
Jon Orris
Depends On:
Blocks: 100952 108949 106481
  Show dependency treegraph
Reported: 2003-10-23 06:17 EDT by Daniel Berrange
Modified: 2007-04-18 12:58 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-01-26 15:49:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2003-10-23 06:17:16 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.9 (X11; Linux i686; U;) Gecko/20030314

Description of problem:
The workflow alerts system sends email alerts to all users assigned to a
workflow task regardless of whether they have edit permission on the item
associated with the workflow. The recommended (and only feasible) way of setting
up CMS is to have a single workflow & assign all users &/ roles to appropriate
tasks & then control access with folder permissions. So in the common scenario a
workflow task may have 100's of assigned users, only 5-10 of whom actually have
permission to edit the item. The workflow alerts will spam all 100 users rather
than the 5-10 whom can actually do something about the alert. Thus the CMS
alerts system is essentially useless in a typical deployment.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Create two users
2. Assign both users to 'author' role
3. Create two folders
4. Give folders custom permissions, so each user created in step 1 can only
access one of the folders
5. Create an item in one folder
6. Complete the authoring task

Actual Results:  Both users are spammed

Expected Results:  Only user with permission on the folder is spammed

Additional info:
Comment 1 Daniel Berrange 2003-10-23 06:19:47 EDT
We fixed this in London 5.2-dev branch at p4 33198.
Comment 2 Scott Seago 2003-12-18 14:41:02 EST
There is one issue with the fix at 33198. Filtering is done based on
CMS_EDIT_ITEM permissions only. This is the right permission for
Authoring and Approval tasks. Deploy task needs to filter on
CMS_PUBLISH_ITEM permissions
Comment 3 Archit Shah 2003-12-18 17:25:04 EST
merged 33198 with the modification suggested in comment 2 on dev
(change 38960) and 6.0.x (change 38961)

Note You need to log in before you can comment on or make changes to this bug.